#!../../bin/linux-x86/example
#cd "$(INSTALL)"
< envPaths

cd ${TOP}

#$(LINUX_ONLY)epicsEnvSet(EPICS_CA_REPEATER_PORT,"6065")
#$(LINUX_ONLY)epicsEnvSet(EPICS_CA_SERVER_PORT,"6064")

# Load binaries on architectures that need to do so.
# VXWORKS_ONLY, LINUX_ONLY and RTEMS_ONLY are macros that resolve
# to a comment symbol on architectures that are not the current
# build architecture, so they can be used liberally to do architecture
# specific things. Alternatively, you can include an architecture
# specific file.
#$(VXWORKS_ONLY)ld < bin/$(ARCH)/example.munch

#$(VXWORKS_ONLY)epicsEnvSet(EPICS_CA_REPEATER_PORT,"6065")
#$(VXWORKS_ONLY)epicsEnvSet(EPICS_CA_SERVER_PORT,"6064")
epicsEnvSet(EPICS_CA_MAX_ARRAY_BYTES,"3000000")

## Register all support components
dbLoadDatabase("dbd/example.dbd")
example_registerRecordDeviceDriver(pdbbase)


# Run the configuration function once for each card in the IOC
# This is the function registered in registrarHy8415ip.c
#  Arguments should be something like:
#  * asyn port (string)
#  * VME slot number
#  * IP slot number
#  * - any other arguments that need to be used for configuration
#      at startup time.


# For PCI/Linux IOC, use
ipacAddHyLinux9010("99,0,IPCLCKA=32")

# For PCI/RTEMS IOC, use
#ipacAddHyRTEMS9010("1,4,0")

# For VME/VxWorks
#IPAC3 = ipacAddHy8002("3,2")  

#int Hy8415AsynInit(
#  char *portName,  /* "DAC8415" */
#  int carrierNum, 	/* 0 */
#  int ipSlotNum,   /* 3 */
#  int vectorNum,   /* 88 */
#  int mode,        /* 0 (register) */
#  int range,       /* 0 (+/-10V) */
#  int clockRate,   /* 9 (1kHz) */
#  int extClock)    /* 0 (internal) */
Hy8415AsynInit("DAC8415", 0, 3, 88, 0, 0, 9, 0)

# extension Init
#Hy8415AsynExtInit(
#  char *portName, 	/* "DAC8415" */
#  int continuous,  /* 1 (yes continuous. NOTE, this is needed only in trigger mode) */
#  int format,		/* 0 (straight) */
#  int multitrigger,/* 0 (no multi triggers ) */ 
#  int repeatpattern, /* 0 (no repeat when in multi trigger mode) */ 
#  int set16bit)	/* 0 (18bit mode) */
Hy8415AsynExtInit("DAC8415", 0, 0, 0, 0, 1)
			
dbLoadRecords("db/8415.db","P=DAC1,PORT=DAC8415")
dbLoadRecords("db/8415_CS.db","P=DAC1,PORT=DAC8415")

# set trace output level for asyn port "DAC8415"
# Level: 0x01 = Errors only
# asynSetTraceMask arguments:
#  * asyn port
#  * address of that asynport (i.e. channel number)
#  * verbosity level: 
#                     0x01: error, 
#                     0x11: errors, warnings and debug
#                     0x00: silent
asynSetTraceMask( "DAC8415", 0, 0x00 )  
# all driver level messages

iocInit()

